<?php

declare(strict_types=1);

namespace App\Service\Cron\UI;

/**
 * Establish communication between cron-jobs and the CLI output.
 */
interface CronUIInterface
{
    /**
     * Print a simple line of text.
     */
    public function print(string $message): void;

    /**
     * Update the current progress of the task.
     */
    public function progress(int $i, int $total): void;
}
